MN.Delete should continue even though it can't find the local file
Description

The MN.delete method stops and throws an exception when it can't find the local file. Somehow this scenario, which is not normal,
happens - only system metadata exists and we can't delete it since the local file doesn't exist. But users really want to delete it. So

the MN.delete method should continue even though it can't find the local file.

History

#1 - 05/30/2017 01:33 PM - Jing Tao

- Assignee set to Jing Tao

#2 - 06/05/2017 01:58 PM - Jing Tao

The list of guids which have the issue (provided by Marco):
urn:uuid:23b20980-648a-4c18-ad6f-21a981b9ad1f
urn:uuid:514397de-9a79-44ba-8538-41aa81ed8d74
urn:uuid:51dd0cb6-400e-494f-bcd0-a4ff02bc6820
urn:uuid:5f5d39fb-9646-459a-8083-f715abbf5287
urn:uuid:794ed291-b627-4024-924c-01dbbf4d0d3b
urn:uuid:7b82d489-6bb9-4ada-a66e-2fc3e8898e88
urn:uuid:88d96eb5-1fc4-414a-b572-7b4432b1692¢
urn:uuid:c91add9e-8cda-447b-a562-a7cd1871ef83
urn:uuid:d335f0eb-a0a4-474d-93a7-2425a68bd 159
urn:uuid:e9178f93-d4bb-4f4f-a227-0c8801ab97ad
urn:uuid:f32bae23-5e14-4ffc-8fa3-6ef0535660fb
urn:uuid:f35d496d-8158-4517-986f-a8fdc83dch4e
urn:uuid:fc04b9dd-db01-489f-a47e-7b4be5ae9656

#3 - 06/05/2017 02:00 PM - Jing Tao

The error from the delete command (from Marco):
curl -i --cert ./urn_node_UIC.pem --key ./urn_node_UIC.key -X DELETE
https://dataone.lib.uic.edu/metacat/d1/mn/v2/object/urn:uuid:23b20980-648a-4c18-ad6f-21a981b9ad 1f

HTTP/1.1 404 Not Found

Date: Mon, 05 Jun 2017 20:40:50 GMT

Server: Apache/2.4.6 (CentOS) OpenSSL/1.0.1e-fips mod_wsgi/3.4 Python/2.7.5 mod_jk/1.2.41
Content-Length: 191

Content-Type: text/xml

<?xml version="1.0" encoding="UTF-8"?><error detailCode="1340" errorCode="404" name="NotFound">
<description>The object with the provided identifier was not found.</description>

</error>

#4 - 06/05/2017 04:40 PM - Jing Tao

- Status changed from New to Resolved

Add the code to continue delete the system metadata when the exception happens.
